package de.w665.sharepulse.rest.mappings;

import de.w665.sharepulse.rest.SecureApiRestController;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
public class UploadHistory extends SecureApiRestController {

    @GetMapping("/test")
    public ResponseEntity<Object> test(HttpServletRequest request) {
        log.debug("Received test request");
        return ResponseEntity.ok("Test successful");
    }
}
